diff --git a/AUTHORS b/AUTHORS
index 2800b62..7ccd755 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -533,7 +533,8 @@ Other contributions
      Janne Huttunen               - V3 actor mask support, Dig/FT SMUSH audio
      Kovacs Endre Janos           - Several fixes for Simon1
      Jeroen Janssen               - Numerous readability and bugfix patches
-     Keith Kaisershot             - Several Pegasus Prime patches
+     Keith Kaisershot             - Several Pegasus Prime patches and DVD
+                                    additions
      Andreas Karlsson             - Initial port for SymbianOS
      Claudio Matsuoka             - Daily Linux builds
      Thomas Mayer                 - PSP port contributions
diff --git a/Makefile b/Makefile
index 93a84a5..8f84b26 100644
--- a/Makefile
+++ b/Makefile
@@ -78,7 +78,7 @@ ZIP     ?= zip -q
 # Misc stuff - you should never have to edit this                     #
 #######################################################################
 
-EXECUTABLE  := $(EXEPRE)scummvm$(EXEEXT)
+EXECUTABLE  := $(EXEPRE)PegasusPrime$(EXEEXT)
 
 include $(srcdir)/Makefile.common
 
diff --git a/Makefile.common b/Makefile.common
index b56300a..57647db 100644
--- a/Makefile.common
+++ b/Makefile.common
@@ -233,7 +233,7 @@ dist-src: \
 DIST_FILES_DOCS:=$(addprefix $(srcdir)/,AUTHORS COPYING COPYING.BSD COPYING.LGPL COPYING.FREEFONT COPYRIGHT NEWS README)
 
 # Themes files
-DIST_FILES_THEMES=scummmodern.zip scummclassic.zip
+DIST_FILES_THEMES=scummclassic.zip
 ifdef USE_TRANSLATION
 DIST_FILES_THEMES+=translations.dat
 endif
diff --git a/backends/mixer/sdl/sdl-mixer.cpp b/backends/mixer/sdl/sdl-mixer.cpp
index 7c709e9..b391782 100644
--- a/backends/mixer/sdl/sdl-mixer.cpp
+++ b/backends/mixer/sdl/sdl-mixer.cpp
@@ -33,7 +33,7 @@
 #ifdef GP2X
 #define SAMPLES_PER_SEC 11025
 #else
-#define SAMPLES_PER_SEC 22050
+#define SAMPLES_PER_SEC 44100
 #endif
 //#define SAMPLES_PER_SEC 44100
 
diff --git a/backends/platform/sdl/macosx/macosx-main.cpp b/backends/platform/sdl/macosx/macosx-main.cpp
index 1b9fc1b..712a4ab 100644
--- a/backends/platform/sdl/macosx/macosx-main.cpp
+++ b/backends/platform/sdl/macosx/macosx-main.cpp
@@ -20,13 +20,23 @@
  *
  */
 
+// Disable symbol overrides so that we can use system headers.
+#define FORBIDDEN_SYMBOL_ALLOW_ALL
+
 #include "common/scummsys.h"
 
 #ifdef MACOSX
 
 #include "backends/platform/sdl/macosx/macosx.h"
 #include "backends/plugins/sdl/sdl-provider.h"
+#include "base/commandLine.h"
 #include "base/main.h"
+#include "common/config-manager.h"
+#include "common/fs.h"
+
+#include "CoreFoundation/CoreFoundation.h"
+
+#define PEGASUS_DVD_TARGET "pegasus-dvd-release"
 
 int main(int argc, char *argv[]) {
 
@@ -41,8 +51,77 @@ int main(int argc, char *argv[]) {
 	PluginManager::instance().addPluginProvider(new SDLPluginProvider());
 #endif
 
+	// HACK: Special Pegasus release parameters
+
+	// Attempt to detect the PP Data directory
+	// Get URL of the Resource directory of the .app bundle
+	CFURLRef fileUrl = CFBundleCopyBundleURL(CFBundleGetMainBundle());
+
+	if (!fileUrl) {
+		warning("Failed to get bundle URL");
+		return 1;
+	}
+
+	// Try to convert the URL to an absolute path
+	char buf[MAXPATHLEN];
+	if (!CFURLGetFileSystemRepresentation(fileUrl, true, (UInt8 *)buf, sizeof(buf))) {
+		warning("Failed to get FS representation of bundle URL");
+		return 1;
+	}
+
+	CFRelease(fileUrl);
+
+	Common::String bundlePath(buf);
+	Common::FSNode bundleNode(bundlePath);
+	Common::FSNode bundleParent = bundleNode.getParent();
+	Common::FSNode ppDataDirectory = bundleParent.getChild("PP Data");
+
+	Common::String ppDataPath;
+
+	// If we have the "PP Data" folder in the same directory as this bundle
+	if (ppDataDirectory.exists()) {
+		// Try to use this directory
+		ppDataPath = ppDataDirectory.getPath();
+	} else {
+		// Try to get it off the disc
+		Common::String discPath("/Volumes/Journeyman/");
+		Common::FSNode discNode(discPath);
+		Common::FSNode discDataDirectory = discNode.getChild("PP Data");
+		if (discDataDirectory.exists()) {
+			ppDataPath = discDataDirectory.getPath();
+		} else {
+			warning("Game data missing");
+			return 1;
+		}
+	}
+
+	// Work this into the config file
+	Base::registerDefaults();
+	ConfMan.loadDefaultConfigFile();
+
+	// Add the special target if it doesn't already exist
+	if (!ConfMan.hasGameDomain(PEGASUS_DVD_TARGET)) {
+		ConfMan.addGameDomain(PEGASUS_DVD_TARGET);
+		ConfMan.set("gameid", "pegasus", PEGASUS_DVD_TARGET);
+		ConfMan.set("gfx_mode", "opengl_linear", PEGASUS_DVD_TARGET);
+		ConfMan.set("fullscreen", "true", PEGASUS_DVD_TARGET);
+		ConfMan.set("platform", "macintosh", PEGASUS_DVD_TARGET);
+	}
+
+	// Always update the path
+	ConfMan.set("path", ppDataPath, PEGASUS_DVD_TARGET);
+
+	// Flush for good luck
+	ConfMan.flushToDisk();
+
+	const char *pegasusParams[] = {
+		argv[0],
+		"--gui-theme=scummpegasus",
+		PEGASUS_DVD_TARGET
+	};
+
 	// Invoke the actual ScummVM main entry point:
-	int res = scummvm_main(argc, argv);
+	int res = scummvm_main(ARRAYSIZE(pegasusParams), pegasusParams);
 
 	// Free OSystem
 	delete (OSystem_MacOSX *)g_system;
diff --git a/backends/platform/sdl/macosx/macosx.cpp b/backends/platform/sdl/macosx/macosx.cpp
index 924e33b..5e61df3 100644
--- a/backends/platform/sdl/macosx/macosx.cpp
+++ b/backends/platform/sdl/macosx/macosx.cpp
@@ -43,7 +43,7 @@
 
 OSystem_MacOSX::OSystem_MacOSX()
 	:
-	OSystem_POSIX("Library/Preferences/ScummVM Preferences") {
+	OSystem_POSIX("Library/Preferences/Pegasus Prime Preferences") {
 }
 
 void OSystem_MacOSX::init() {
diff --git a/backends/platform/sdl/posix/posix-main.cpp b/backends/platform/sdl/posix/posix-main.cpp
index d07db11..2bacaa8 100644
--- a/backends/platform/sdl/posix/posix-main.cpp
+++ b/backends/platform/sdl/posix/posix-main.cpp
@@ -20,13 +20,23 @@
  *
  */
 
+// Disable symbol overrides so that we can use system headers.
+#define FORBIDDEN_SYMBOL_ALLOW_ALL
+
 #include "common/scummsys.h"
 
 #if defined(POSIX) && !defined(MACOSX) && !defined(SAMSUNGTV) && !defined(MAEMO) && !defined(WEBOS) && !defined(LINUXMOTO) && !defined(GPH_DEVICE) && !defined(GP2X) && !defined(DINGUX) && !defined(OPENPANDORA) && !defined(PLAYSTATION3)
 
+#include <mntent.h>
+
 #include "backends/platform/sdl/posix/posix.h"
 #include "backends/plugins/sdl/sdl-provider.h"
+#include "base/commandLine.h"
 #include "base/main.h"
+#include "common/config-manager.h"
+#include "common/fs.h"
+
+#define PEGASUS_DVD_TARGET "pegasus-dvd-release"
 
 int main(int argc, char *argv[]) {
 
@@ -41,8 +51,63 @@ int main(int argc, char *argv[]) {
 	PluginManager::instance().addPluginProvider(new SDLPluginProvider());
 #endif
 
+	Common::String dataPath(DATA_PATH);
+	Common::FSNode ppDataDirectory(dataPath + "/PP Data/");
+
+	Common::String ppDataPath;
+
+	// If we have the "PP Data" folder in the same directory as this bundle
+	if (ppDataDirectory.exists()) {
+		// Try to use this directory
+		ppDataPath = ppDataDirectory.getPath();
+	} else {
+		// Search mounted volumes for the Journeyman disc
+		bool foundData = false;
+		FILE* fp = setmntent(_PATH_MOUNTED, "r");
+		mntent* ent;
+		while ((ent = getmntent(fp))) {
+			Common::String discPath(ent->mnt_dir);
+			Common::FSNode discNode(discPath);
+			Common::FSNode discDataDirectory = discNode.getChild("PP Data");
+			if (discDataDirectory.exists()) {
+				foundData = true;
+				ppDataPath = discDataDirectory.getPath();
+				break;
+			}
+		}
+		
+		if (!foundData) {
+			warning("Game data missing");
+			return 1;
+		}
+	}
+
+	Base::registerDefaults();
+	ConfMan.loadDefaultConfigFile();
+
+	// Add the special target if it doesn't already exist
+	if (!ConfMan.hasGameDomain(PEGASUS_DVD_TARGET)) {
+		ConfMan.addGameDomain(PEGASUS_DVD_TARGET);
+		ConfMan.set("gameid", "pegasus", PEGASUS_DVD_TARGET);
+		ConfMan.set("gfx_mode", "opengl_linear", PEGASUS_DVD_TARGET);
+		ConfMan.set("fullscreen", "true", PEGASUS_DVD_TARGET);
+		ConfMan.set("platform", "linux", PEGASUS_DVD_TARGET);
+	}
+
+	// Always update the path
+	ConfMan.set("path", ppDataPath, PEGASUS_DVD_TARGET);
+
+	// Flush for good luck
+	ConfMan.flushToDisk();
+
+	const char *pegasusParams[] = {
+		argv[0],
+		"--gui-theme=scummpegasus",
+		PEGASUS_DVD_TARGET
+	};
+
 	// Invoke the actual ScummVM main entry point:
-	int res = scummvm_main(argc, argv);
+	int res = scummvm_main(ARRAYSIZE(pegasusParams), pegasusParams);
 
 	// Free OSystem
 	delete (OSystem_POSIX *)g_system;
diff --git a/backends/platform/sdl/posix/posix.cpp b/backends/platform/sdl/posix/posix.cpp
index a711c3a..2d8a4e5 100644
--- a/backends/platform/sdl/posix/posix.cpp
+++ b/backends/platform/sdl/posix/posix.cpp
@@ -107,7 +107,7 @@ Common::WriteStream *OSystem_POSIX::createLogFile() {
 #ifdef MACOSX
 	logFile += "/Library";
 #else
-	logFile += "/.scummvm";
+	logFile += "/.PegasusPrime";
 #endif
 #ifdef SAMSUNGTV
 	logFile = "/mtd_ram";
@@ -151,7 +151,7 @@ Common::WriteStream *OSystem_POSIX::createLogFile() {
 		return 0;
 	}
 
-	logFile += "/scummvm.log";
+	logFile += "/Pegasus Prime.log";
 
 	Common::FSNode file(logFile);
 	Common::WriteStream *stream = file.createWriteStream();
diff --git a/backends/platform/sdl/posix/posix.h b/backends/platform/sdl/posix/posix.h
index 01a0152..f2e6a46 100644
--- a/backends/platform/sdl/posix/posix.h
+++ b/backends/platform/sdl/posix/posix.h
@@ -28,7 +28,7 @@
 class OSystem_POSIX : public OSystem_SDL {
 public:
 	// Let the subclasses be able to change _baseConfigName in the constructor
-	OSystem_POSIX(Common::String baseConfigName = ".scummvmrc");
+	OSystem_POSIX(Common::String baseConfigName = ".PegasusPrimerc");
 	virtual ~OSystem_POSIX() {}
 
 	virtual bool hasFeature(Feature f);
diff --git a/backends/platform/sdl/win32/win32-main.cpp b/backends/platform/sdl/win32/win32-main.cpp
index e5b26c3..a93c04a 100644
--- a/backends/platform/sdl/win32/win32-main.cpp
+++ b/backends/platform/sdl/win32/win32-main.cpp
@@ -37,13 +37,18 @@
 
 #include "backends/platform/sdl/win32/win32.h"
 #include "backends/plugins/sdl/sdl-provider.h"
+#include "base/commandLine.h"
 #include "base/main.h"
+#include "common/config-manager.h"
+#include "common/fs.h"
 
 int __stdcall WinMain(HINSTANCE /*hInst*/, HINSTANCE /*hPrevInst*/,  LPSTR /*lpCmdLine*/, int /*iShowCmd*/) {
 	SDL_SetModuleHandle(GetModuleHandle(NULL));
 	return main(__argc, __argv);
 }
 
+#define PEGASUS_DVD_TARGET "pegasus-dvd-release"
+
 int main(int argc, char *argv[]) {
 	// Create our OSystem instance
 	g_system = new OSystem_Win32();
@@ -56,8 +61,82 @@ int main(int argc, char *argv[]) {
 	PluginManager::instance().addPluginProvider(new SDLPluginProvider());
 #endif
 
+	// Get the path to our EXE
+	HMODULE hModule = GetModuleHandleW(NULL);
+	WCHAR wideCharPath[MAX_PATH];
+	GetModuleFileNameW(hModule, wideCharPath, MAX_PATH);
+
+	// Convert to ANSI
+	char buf[MAX_PATH];
+	WideCharToMultiByte(CP_ACP, 0, wideCharPath, -1, buf, MAX_PATH, NULL, NULL);
+
+	// Find the directory the EXE is in
+	Common::String exePath(buf);
+	Common::FSNode exeNode(exePath);
+	Common::FSNode ppDataDirectory = exeNode.getParent().getChild("PP Data");
+
+	Common::String ppDataPath;
+
+	// If we have the "PP Data" folder in the same directory as this bundle
+	if (ppDataDirectory.exists()) {
+		// Try to use this directory
+		ppDataPath = ppDataDirectory.getPath();
+	} else {
+		// Search mounted volumes for the Journeyman disc
+		bool foundData = false;
+		char szLogicalDrives[26 * 4 + 1];
+		DWORD dwResult = GetLogicalDriveStrings(sizeof(szLogicalDrives), szLogicalDrives);
+		if (dwResult > 0 && dwResult <= sizeof(szLogicalDrives)) {
+			char *szSingleDrive = szLogicalDrives;
+			while (*szSingleDrive) {
+				if (GetVolumeInformation(szSingleDrive, buf, sizeof(buf), NULL, NULL, NULL, NULL, 0) && !scumm_stricmp(buf, "Journeyman")) {
+					Common::String discPath(szSingleDrive);
+					Common::FSNode discNode(discPath);
+					Common::FSNode discDataDirectory = discNode.getChild("PP Data");
+					if (discDataDirectory.exists()) {
+						foundData = true;
+						ppDataPath = discDataDirectory.getPath();
+						break;
+					}
+				}
+				szSingleDrive += strlen(szSingleDrive) + 1;
+			}
+		}
+
+		if (!foundData) {
+			warning("Game data missing");
+			return 1;
+		}
+	}
+
+	// Work this into the config file
+	Base::registerDefaults();
+	ConfMan.loadDefaultConfigFile();
+
+	// Add the special target if it doesn't already exist
+	if (!ConfMan.hasGameDomain(PEGASUS_DVD_TARGET)) {
+		ConfMan.addGameDomain(PEGASUS_DVD_TARGET);
+		ConfMan.set("gameid", "pegasus", PEGASUS_DVD_TARGET);
+		ConfMan.set("gfx_mode", "opengl_linear", PEGASUS_DVD_TARGET);
+		ConfMan.set("fullscreen", "true", PEGASUS_DVD_TARGET);
+		ConfMan.set("console", "false", PEGASUS_DVD_TARGET);
+		ConfMan.set("platform", "windows", PEGASUS_DVD_TARGET);
+	}
+
+	// Always update the path
+	ConfMan.set("path", ppDataPath, PEGASUS_DVD_TARGET);
+
+	// Flush for good luck
+	ConfMan.flushToDisk();
+
+	const char *pegasusParams[] = {
+		argv[0],
+		"--gui-theme=scummpegasus",
+		PEGASUS_DVD_TARGET
+	};
+
 	// Invoke the actual ScummVM main entry point:
-	int res = scummvm_main(argc, argv);
+	int res = scummvm_main(ARRAYSIZE(pegasusParams), pegasusParams);
 
 	// Free OSystem
 	delete (OSystem_Win32 *)g_system;
diff --git a/backends/platform/sdl/win32/win32.cpp b/backends/platform/sdl/win32/win32.cpp
index 5f860ad..eb89ffb 100644
--- a/backends/platform/sdl/win32/win32.cpp
+++ b/backends/platform/sdl/win32/win32.cpp
@@ -44,7 +44,7 @@
 
 #include "common/memstream.h"
 
-#define DEFAULT_CONFIG_FILE "scummvm.ini"
+#define DEFAULT_CONFIG_FILE "Pegasus Prime.ini"
 
 void OSystem_Win32::init() {
 	// Initialize File System Factory
@@ -175,10 +175,10 @@ Common::String OSystem_Win32::getDefaultConfigFileName() {
 			}
 		}
 
-		strcat(configFile, "\\ScummVM");
+		strcat(configFile, "\\Pegasus Prime");
 		if (!CreateDirectory(configFile, NULL)) {
 			if (GetLastError() != ERROR_ALREADY_EXISTS)
-				error("Cannot create ScummVM application data folder");
+				error("Cannot create Pegasus Prime application data folder");
 		}
 
 		strcat(configFile, "\\" DEFAULT_CONFIG_FILE);
@@ -237,11 +237,11 @@ Common::WriteStream *OSystem_Win32::createLogFile() {
 			CreateDirectory(logFile, NULL);
 		}
 
-		strcat(logFile, "\\ScummVM");
+		strcat(logFile, "\\Pegasus Prime");
 		CreateDirectory(logFile, NULL);
 		strcat(logFile, "\\Logs");
 		CreateDirectory(logFile, NULL);
-		strcat(logFile, "\\scummvm.log");
+		strcat(logFile, "\\Pegasus Prime.log");
 
 		Common::FSNode file(logFile);
 		Common::WriteStream *stream = file.createWriteStream();
diff --git a/backends/saves/posix/posix-saves.cpp b/backends/saves/posix/posix-saves.cpp
index 9682832..b31d820 100644
--- a/backends/saves/posix/posix-saves.cpp
+++ b/backends/saves/posix/posix-saves.cpp
@@ -43,9 +43,9 @@
 
 
 #ifdef MACOSX
-#define DEFAULT_SAVE_PATH "Documents/ScummVM Savegames"
+#define DEFAULT_SAVE_PATH "Library/Application Support/Pegasus Prime Saves"
 #else
-#define DEFAULT_SAVE_PATH ".scummvm"
+#define DEFAULT_SAVE_PATH ".PegasusPrime"
 #endif
 
 POSIXSaveFileManager::POSIXSaveFileManager() {
diff --git a/backends/saves/windows/windows-saves.cpp b/backends/saves/windows/windows-saves.cpp
index b84ab13..943ea75 100644
--- a/backends/saves/windows/windows-saves.cpp
+++ b/backends/saves/windows/windows-saves.cpp
@@ -63,16 +63,16 @@ WindowsSaveFileManager::WindowsSaveFileManager() {
 			}
 		}
 
-		strcat(defaultSavepath, "\\ScummVM");
+		strcat(defaultSavepath, "\\Pegasus Prime");
 		if (!CreateDirectory(defaultSavepath, NULL)) {
 			if (GetLastError() != ERROR_ALREADY_EXISTS)
-				error("Cannot create ScummVM application data folder");
+				error("Cannot create Pegasus Prime application data folder");
 		}
 
 		strcat(defaultSavepath, "\\Saved games");
 		if (!CreateDirectory(defaultSavepath, NULL)) {
 			if (GetLastError() != ERROR_ALREADY_EXISTS)
-				error("Cannot create ScummVM Saved games folder");
+				error("Cannot create Pegasus Prime Saved games folder");
 		}
 
 		ConfMan.registerDefault("savepath", defaultSavepath);
diff --git a/devtools/credits.pl b/devtools/credits.pl
index 53f0d11..4fdc0db 100755
--- a/devtools/credits.pl
+++ b/devtools/credits.pl
@@ -1097,7 +1097,7 @@ begin_credits("Credits");
 				add_person("Janne Huttunen", "", "V3 actor mask support, Dig/FT SMUSH audio");
 				add_person("Kov&aacute;cs Endre J&aacute;nos", "", "Several fixes for Simon1");
 				add_person("Jeroen Janssen", "japj", "Numerous readability and bugfix patches");
-				add_person("Keith Kaisershot", "blitter", "Several Pegasus Prime patches");
+				add_person("Keith Kaisershot", "blitter", "Several Pegasus Prime patches and DVD additions");
 				add_person("Andreas Karlsson", "Sprawl", "Initial port for SymbianOS");
 				add_person("Claudio Matsuoka", "", "Daily Linux builds");
 				add_person("Thomas Mayer", "", "PSP port contributions");
diff --git a/dists/pegasus/PegasusPrime.desktop b/dists/pegasus/PegasusPrime.desktop
new file mode 100644
index 0000000..a9a2a63
--- /dev/null
+++ b/dists/pegasus/PegasusPrime.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Pegasus Prime
+Comment=The epic time travel adventure begins
+Exec=PegasusPrime
+Icon=pegasus
+Terminal=false
+Type=Application
+Categories=Game;AdventureGame;
+StartupNotify=false
diff --git a/dists/pegasus/debian/README.source b/dists/pegasus/debian/README.source
new file mode 100644
index 0000000..a7252c2
--- /dev/null
+++ b/dists/pegasus/debian/README.source
@@ -0,0 +1,10 @@
+This project uses a custom build of ScummVM licensed under GNU GPLv2 using
+revision d04667e58a889e4744f36fb5797a69fa437a1abf. You may obtain the sources
+from GitHub: https://github.com/scummvm/scummvm (direct link:
+https://github.com/scummvm/scummvm/archive/d04667e58a889e4744f36fb5797a69fa437a1abf.zip).
+On top of that revision, it has been patched with the "full_patch.diff"
+(included in the pegasusprime source tarball) The dists/pegasus directory
+missing from the patch is also included in the pegasusprime source tarball.
+
+This is a cutdown ScummVM build because Pegasus Prime does not need many of the
+usual features of ScummVM.
diff --git a/dists/pegasus/debian/changelog b/dists/pegasus/debian/changelog
new file mode 100644
index 0000000..c681a98
--- /dev/null
+++ b/dists/pegasus/debian/changelog
@@ -0,0 +1,29 @@
+pegasusprime (1.0-5) unstable; urgency=low
+
+  * Minor bugfix release
+
+ -- Keith Kaisershot <archives@thejourneymanproject.com>  Mon, 10 Mar 2014 13:29:11 -0800
+
+pegasusprime (1.0-4) unstable; urgency=low
+
+  * Minor bugfix release
+
+ -- Keith Kaisershot <archives@thejourneymanproject.com>  Sun, 09 Mar 2014 18:18:45 -0800
+
+pegasusprime (1.0-3) unstable; urgency=low
+
+  * Minor bugfix release
+
+ -- Keith Kaisershot <archives@thejourneymanproject.com>  Thu, 27 Feb 2014 10:05:56 -0800
+
+pegasusprime (1.0-2) unstable; urgency=low
+
+  * Minor bugfix release
+
+ -- Keith Kaisershot <archives@thejourneymanproject.com>  Mon, 24 Feb 2014 18:15:56 -0800
+
+pegasusprime (1.0-1) unstable; urgency=low
+
+  * Initial release
+
+ -- Keith Kaisershot <archives@thejourneymanproject.com>  Tue, 31 Dec 2013 15:44:53 -0600
diff --git a/dists/pegasus/debian/compat b/dists/pegasus/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/dists/pegasus/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/dists/pegasus/debian/control b/dists/pegasus/debian/control
new file mode 100644
index 0000000..0362061
--- /dev/null
+++ b/dists/pegasus/debian/control
@@ -0,0 +1,17 @@
+Source: pegasusprime
+Section: games
+Priority: optional
+Maintainer: Keith Kaisershot <archives@thejourneymanproject.com>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev
+Standards-Version: 3.8.4
+Homepage: http://www.thejourneymanproject.com
+
+Package: pegasusprime
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: time travel adventure game
+ Experience the origin of the Journeyman Project series in this "director's
+ cut" remake of the award-winning time travel adventure game with greatly
+ enhanced animation and sound. As Agent 5 of the Temporal Protectorate, you
+ must explore across centuries for clues to a sinister mystery as Earth's
+ future hangs in the balance.
diff --git a/dists/pegasus/debian/copyright b/dists/pegasus/debian/copyright
new file mode 100644
index 0000000..2fa382e
--- /dev/null
+++ b/dists/pegasus/debian/copyright
@@ -0,0 +1,36 @@
+Pegasus Prime was debianized by Keith Kaisershot <archives@thejourneymanproject.com> the 31st Dec 2013.
+
+Upstream Authors: see `/usr/share/doc/scummvm/AUTHORS'.
+
+ScummVM is Copyright © 2002-2013 The ScummVM Project
+
+ This program is free software; you can redistribute it and/or modify it
+ under the terms of the GNU General Public License as published by the
+ Free Software Foundation; either version 2, or (at your option) any
+ later version.
+
+ On Debian GNU/Linux systems, the complete text of the GNU General
+ Public License can be found in `/usr/share/common-licenses/GPL'.
+
+This copyright also applies to the Debian-related build scripts.
+
+Some parts of ScummVM (the mt32 softsynth code) is covered by a more
+permissive BSD-style license:
+
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to
+ * deal in the Software without restriction, including without limitation the
+ * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+ * sell copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
+ * IN THE SOFTWARE.
diff --git a/dists/pegasus/debian/docs b/dists/pegasus/debian/docs
new file mode 100644
index 0000000..c73c810
--- /dev/null
+++ b/dists/pegasus/debian/docs
@@ -0,0 +1,5 @@
+AUTHORS
+COPYRIGHT
+README
+TODO
+NEWS
diff --git a/dists/pegasus/debian/menu b/dists/pegasus/debian/menu
new file mode 100644
index 0000000..bf946ff
--- /dev/null
+++ b/dists/pegasus/debian/menu
@@ -0,0 +1,3 @@
+?package(pegasusprime):needs="x11" section="Games/Adventure" \
+  title="Pegasus Prime" command="/usr/games/PegasusPrime" \
+  icon="/usr/share/icons/pegasus.xpm"
diff --git a/dists/pegasus/debian/rules b/dists/pegasus/debian/rules
new file mode 100755
index 0000000..5f72554
--- /dev/null
+++ b/dists/pegasus/debian/rules
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@ 
+
+override_dh_auto_configure:
+	./configure --prefix=/usr --bindir=/usr/games --datadir=/usr/share/PegasusPrime --docdir=/usr/share/doc/pegasusprime --disable-all-engines --enable-engine=pegasus --enable-optimizations --enable-keymapper --disable-eventrecorder --disable-mt32emu --disable-alsa --disable-bink --disable-faad --disable-flac --disable-fluidsynth --disable-mad --disable-png --disable-timidity
+
+override_dh_auto_test:
+
+
+
diff --git a/dists/pegasus/debian/source/format b/dists/pegasus/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/dists/pegasus/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dists/scummvm.rc b/dists/scummvm.rc
index f0609c1..1a9796e 100644
--- a/dists/scummvm.rc
+++ b/dists/scummvm.rc
@@ -9,13 +9,13 @@
 #define IDI_COUNT 1002
 #define ID_GDF_XML __GDF_XML
 
-IDI_ICON               ICON    DISCARDABLE     "icons/scummvm.ico"
+IDI_ICON               ICON    DISCARDABLE     "dists/pegasus/pegasus.ico"
 IDI_COUNT              ICON    DISCARDABLE     "icons/count.ico"
 
 ID_GDF_XML             DATA    "dists/win32/scummvm.gdf.xml"
 
 scummclassic.zip       FILE    "gui/themes/scummclassic.zip"
-scummmodern.zip        FILE    "gui/themes/scummmodern.zip"
+scummpegasus.zip        FILE    "dists/pegasus/scummpegasus.zip"
 #ifdef USE_TRANSLATION
 translations.dat       FILE    "gui/themes/translations.dat"
 #endif
diff --git a/engines/pegasus/ai/ai_action.cpp b/engines/pegasus/ai/ai_action.cpp
index 38d6390..6f24647 100644
--- a/engines/pegasus/ai/ai_action.cpp
+++ b/engines/pegasus/ai/ai_action.cpp
@@ -45,7 +45,7 @@ AIPlayMessageAction::AIPlayMessageAction(const Common::String &movieName, bool k
 }
 
 void AIPlayMessageAction::performAIAction(AIRule *) {
-	if (g_AIArea) {
+	if (g_AIArea && g_AIArea->isChattyAI()) {
 		g_AIArea->checkMiddleArea();
 		g_AIArea->playAIMovie(kRightAreaSignature, _movieName, _keepLastFrame, _interruptionFilter);
 	}
diff --git a/engines/pegasus/ai/ai_area.cpp b/engines/pegasus/ai/ai_area.cpp
index 5ac8af8..c6aeda8 100644
--- a/engines/pegasus/ai/ai_area.cpp
+++ b/engines/pegasus/ai/ai_area.cpp
@@ -29,6 +29,7 @@
 #include "pegasus/pegasus.h"
 #include "pegasus/ai/ai_area.h"
 #include "pegasus/items/biochips/aichip.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/items/biochips/biochipitem.h"
 #include "pegasus/items/biochips/opticalchip.h"
 #include "pegasus/items/biochips/pegasuschip.h"
@@ -50,6 +51,8 @@ AIArea::AIArea(InputHandler *nextHandler) : InputHandler(nextHandler), _leftArea
 	_middleBiochipTime = 0xffffffff;
 	_rightBiochipTime = 0xffffffff;
 	_lockCount = 0;
+	_chattyAI = true;
+	((PegasusEngine *)g_engine)->requestToggle(false);
 	startIdling();
 }
 
@@ -452,6 +455,10 @@ void AIArea::activateHotspots() {
 			case kOpticalBiochip:
 				((OpticalChip *)currentBiochip)->activateOpticalHotspots();
 				break;
+			case kArthurBiochip:
+				if (vm->isDVD())
+					((ArthurChip *)currentBiochip)->activateArthurHotspots();
+				break;
 			}
 	} else if (_middleAreaOwner == kInventorySignature) {
 		InventoryItem *currentItem = ((PegasusEngine *)g_engine)->getCurrentInventoryItem();
@@ -490,6 +497,12 @@ void AIArea::clickInHotspot(const Input &input, const Hotspot *hotspot) {
 					handled = true;
 				}
 				break;
+			case kArthurBiochip:
+				if (vm->isDVD() && (hotspot->getHotspotFlags() & kArthurBiochipSpotFlag) != 0) {
+					((ArthurChip *)currentBiochip)->clickInArthurHotspot(hotspot->getObjectID());
+					handled = true;
+				}
+				break;
 			}
 		}
 	} else if (_middleAreaOwner == kInventorySignature) {
@@ -533,6 +546,21 @@ void AIArea::forceAIUnlocked() {
 	}
 }
 
+void AIArea::setChattyAI(bool flag) {
+	_chattyAI = flag;
+
+	if (g_arthurChip)
+		g_arthurChip->setUpArthurChip();
+
+	if (flag) {
+		playAIMovie(kRightAreaSignature, "Images/AI/Globals/XGLOB01", false, kHintInterruption);
+	} else {
+		playAIMovie(kRightAreaSignature, "Images/AI/Globals/XGLOB00", false, kHintInterruption);
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB29", kArthurDisabledAI);
+	}
+}
+
 void AIArea::checkRules() {
 	if (_lockCount == 0 && ((PegasusEngine *)g_engine)->playerAlive())
 		for (AIRuleList::iterator it = _AIRules.begin(); it != _AIRules.end(); it++)
diff --git a/engines/pegasus/ai/ai_area.h b/engines/pegasus/ai/ai_area.h
index 806e6ef..5541eca 100644
--- a/engines/pegasus/ai/ai_area.h
+++ b/engines/pegasus/ai/ai_area.h
@@ -130,6 +130,9 @@ public:
 	void unlockAI();
 	void forceAIUnlocked();
 
+	bool isChattyAI() { return _chattyAI; }
+	void setChattyAI(bool);
+
 	void checkMiddleArea();
 	void checkRules();
 
@@ -163,6 +166,8 @@ protected:
 	AIRuleList _AIRules;
 
 	uint _lockCount;
+
+	bool _chattyAI;
 };
 
 extern AIArea *g_AIArea;
diff --git a/engines/pegasus/chase.cpp b/engines/pegasus/chase.cpp
new file mode 100644
index 0000000..43f88d3
--- /dev/null
+++ b/engines/pegasus/chase.cpp
@@ -0,0 +1,123 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-2013 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#include "pegasus/chase.h"
+
+namespace Pegasus {
+
+// Notification constants.
+
+static const NotificationFlags kChaseNotificationFlags = kChaseEnteredBranchZone |
+															kChaseExitedBranchZone |
+															kChaseFinished;
+
+ChaseInteraction::ChaseInteraction(const InteractionID interactionID, Neighborhood *handler,
+	const NotificationID notificationID, NotificationManager *manager) : GameInteraction(interactionID, handler),
+	_chaseNotification(notificationID, manager), _steerPict(kNoDisplayElement), _directionNeeded(false),
+	_turnDirection(kNoTurn) {
+
+	// HACK HACK HACK HACK HACK
+	// TRIPLE SUPER ULTRA HACK
+	// This avoids a nasty optimization bug I have been unable to track down
+	// after days and days of searching. Let's just ship the game already.
+	setNextHandler(0);
+
+	_neighborhoodNotification = handler->getNeighborhoodNotification();
+}
+
+void ChaseInteraction::openInteraction() {
+	_steerPict.initFromPICTFile("Images/Interface/steer.pict", true);
+
+	_chaseNotification.notifyMe(this, kChaseNotificationFlags, kChaseNotificationFlags);
+
+	_neighborhoodNotification->notifyMe(this, kDelayCompletedFlag | kSpotSoundCompletedFlag,
+										kDelayCompletedFlag | kSpotSoundCompletedFlag);
+}
+
+void ChaseInteraction::closeInteraction() {
+	_steerPict.hide();
+	_steerPict.deallocateSurface();
+
+	_chaseNotification.cancelNotification(this);
+
+	_neighborhoodNotification->cancelNotification(this);
+}
+
+void ChaseInteraction::receiveNotification(Notification *notification, const NotificationFlags flags) {
+	if (notification == &_chaseNotification)
+		switch (flags) {
+		case kChaseEnteredBranchZone:
+			_directionNeeded = true;
+			showControlsHint();
+			setUpBranch();
+			break;
+		case kChaseExitedBranchZone:
+			switch (_turnDirection) {
+			case kTurnLeft:
+				branchLeft();
+				break;
+			case kTurnRight:
+				branchRight();
+				break;
+			case kNoTurn:
+				dontBranch();
+				break;
+			default:
+				break;
+			}
+			hideControlsHint();
+			_turnDirection = kNoTurn;
+			_directionNeeded = false;
+			break;
+		case kChaseFinished:
+			_owner->requestDeleteCurrentInteraction();
+			break;
+		default:
+			break;
+		}
+}
+
+void ChaseInteraction::handleInput(const Input &input, const Hotspot *cursorSpot) {
+	if (input.anyDirectionInput()) {
+		if (_directionNeeded) {
+			if (input.leftButtonAnyDown())
+				_turnDirection = kTurnLeft;
+			else if (input.rightButtonAnyDown())
+				_turnDirection = kTurnRight;
+		}
+	} else {
+		this->InputHandler::handleInput(input, cursorSpot);
+	}
+}
+
+void ChaseInteraction::showControlsHint() {
+	_steerPict.show();
+}
+
+void ChaseInteraction::hideControlsHint() {
+	_steerPict.hide();
+}
+
+} // End of namespace Pegasus
